CHIPS(__drivermansuffix__)

NAME
chips - Chips and Technologies video driver

SYNOPSIS
Section "Device"
  Identifier "devname"
  Driver "chips"
  ...
EndSection

DESCRIPTION
chips is an __xservername__ driver for Chips and Technologies video processors. The majority of the Chips and Technologies chipsets are supported by this driver. In general the limitation on the capabilities of this driver are determined by the chipset on which it is run. Where possible, this driver provides full acceleration and supports the following depths: 1, 4, 8, 15, 16, 24 and on the latest chipsets an 8+16 overlay mode. All visual types are supported for depth 1, 4 and 8 and both TrueColor and DirectColor visuals are supported where possible. Multi-head configurations are supported on PCI or AGP buses.

SUPPORTED HARDWARE
The chips driver supports video processors on most of the bus types currently available. The chipsets supported fall into one of three architectural classes. A basic architecture, the WinGine architecture and the newer HiQV architecture.

Basic Architecture

The supported chipsets are ct65520, ct65525, ct65530, ct65535, ct65540, ct65545, ct65546 and ct65548

Color depths 1, 4 and 8 are supported on all chipsets, while depths 15, 16 and 24 are supported only on the 65540, 65545, 65546 and 65548 chipsets. The driver is accelerated when used with the 65545, 65546 or 65548 chipsets, however the DirectColor visual is not available.

Wingine Architecture

The supported chipsets are ct64200 and ct64300

Color depths 1, 4 and 8 are supported on both chipsets, while depths 15, 16 and 24 are supported only on the 64300 chipsets. The driver is accelerated when used with the 64300 chipsets, however the DirectColor visual is not available.

HiQV Architecture

The supported chipsets are ct65550, ct65554, ct65555, ct68554, ct69000 and ct69030

Color depths 1, 4, 8, 15, 16, 24 and 8+16 are supported on all chipsets. The DirectColor visual is supported on all color depths except the 8+16 overlay mode. Full acceleration is supplied for all chipsets.

CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration details. This section only covers configuration details specific to this driver.

The driver auto-detects the chipset type, but the following ChipSet names may optionally be specified in the config file "Device" section, and will override the auto-detection:

    "ct65520", "ct65525", "ct65530", "ct65535", "ct65540", "ct65545", "ct65546", "ct65548", "ct65550", "ct65554", "ct65555", "ct68554", "ct69000", "ct69030", "ct64200", "ct64300".

The driver will auto-detect the amount of video memory present for all chipsets. But maybe overridden with the VideoRam entry in the config file "Device" section.

The following driver Options are supported, on one or more of the supported chipsets:

Option "NoAccel" "boolean"
    Disable or enable acceleration. Default: acceleration is enabled.

Option "NoLinear" "boolean"
    Disables linear addressing in cases where it is enabled by default. Default: off

Option "Linear" "boolean"
    Enables linear addressing in cases where it is disabled by default. Default: off

Option "HWCursor" "boolean"
    Enable or disable the HW cursor. Default: on.

Option "SWCursor" "boolean"
    Enable or disable the SW cursor. Default: off.

Option "STN" "boolean"
    Force detection of STN screen type. Default: off.

Option "UseModeline" "boolean"
    Reprogram flat panel timings with values from the modeline. Default: off

Option "FixPanelSize" "boolean"
    Reprogram flat panel size with values from the modeline. Default: off

Option "NoStretch" "boolean"
    This option disables the stretching on a mode on a flat panel to fill the screen. Default: off

Option "LcdCenter" "boolean"
    Center the mode displayed on the flat panel on the screen. Default: off

Option "HWclocks" "boolean"
    Force the use of fixed hardware clocks on chips that support both fixed and programmable clocks. Default: off

Option "UseVclk1" "boolean"
    Use the Vclk1 programmable clock on HiQV chipsets instead of Vclk2. Default: off

Option "FPClock8" "float"

Option "FPClock16" "float"

Option "FPClock24" "float"

Option "FPClock32" "float"
    Force the use of a particular video clock speed for use with the flat panel at a specified depth

Option "MMIO" "boolean"
    Force the use of memory mapped IO for acceleration registers. Default: off

Option "FullMMIO" "boolean"
    Force the use of memory mapped IO where it can be used. Default: off

Option "SuspendHack" "boolean"
    Force driver to leave centering and stretching registers alone. This can fix some laptop suspend/resume problems. Default: off

Option "Overlay"
    Enable 8+24 overlay mode. Only appropriate for depth 24. Default: off.

Option "ColorKey" "integer"
    Set the colormap index used for the transparency key for the depth 8 plane when operating in 8+16 overlay mode. The value must be in the range 2-255. Default: 255.

Option "VideoKey" "integer"
    This sets the default pixel value for the YUV video overlay key. Default: undefined.

Option "ShadowFB" "boolean"
    Enable or disable use of the shadow framebuffer layer. Default: off.

Option "SyncOnGreen" "boolean"
    Enable or disable combining the sync signals with the green signal. Default: off.

Option "ShowCache" "boolean"
    Enable or disable viewing offscreen memory. Used for debugging only Default: off.

Option "18bitBus" "boolean"
    Force the driver to assume that the flat panel has an 18bit data bus. Default: off.

Option "Crt2Memory" "integer"
    In a dual-head mode (69030 only) this option selects the amount of memory to set aside for the second head. If not specified, half the memory is used. Default: off.

Option "DualRefresh" "integer"
    The 69030 supports independent refresh rates on its two display channels. This mode of operations uses additional memory bandwidth and thus limits the maximum colour depth and refresh rate that can be achieved, and so is off by default. Using this option forces the use of an independent refresh rate on the two screens. Default: off.

Option "FpMode" "boolean"
    The driver probes the chip to find out if a flat panel (LCD) is connected and active. If this is true it limits the possible screen size to the maximum resolution of the panel. The chips is initialized by the BIOS which may set the chip to 'dual' mode even if no panel is connected. In this case the available resolution on the CRT is limited to the panel size the BIOS has set. To tell the driver that no panel is connected despite of what the BIOS is saying set this option to off. Don't set it to off if a panel is connected. Default: value probed by BIOS.

SEE ALSO
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)

You are also recommended to read the README.chips file that comes with all __xservername__ distributions, which discusses the chips driver in more detail.

AUTHORS
Authors include: Jon Block, Mike Hollick, Regis Cridlig, Nozomi Ytow, Egbert Eich, David Bateman and Xavier Ducoin